# Retrieve instrument details at origination View instrument details at origination using the issuance identifier. Endpoint: POST /api/ledger/{ledgerIdentifier}/issuance/byIdentifier Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Request fields (application/json): - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to retrieve issuances on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. - `issuanceIdentifiers` (array) Collection of issuance identifiers for the issuances to retrieve. ## Response 200 fields (application/json): - `issuances` (array) - `issuances.identifier` (string) - `issuances.externalIdentifier` (string) - `issuances.resourceIdentifier` (string) - `issuances.resourceProgramAssignedIdentifier` (string) - `issuances.asset` (boolean) - `issuances.firm` (boolean) - `issuances.programCertificationGroupCode` (string) - `issuances.programPeriodBeginInclusive` (string) - `issuances.programPeriodEndExclusive` (string) - `issuances.certificateTypeCode` (string) - `issuances.serialNumberPrefix` (string) - `issuances.serialStart` (integer) - `issuances.serialEnd` (integer) - `issuances.quantity` (number) - `issuances.originalSrcAcctId` (string) - `issuances.originalSrcAcctIdentifier` (string) - `issuances.originalAcctName` (string) - `issuances.timeOfProductionBeginInclusive` (string) - `issuances.timeOfProductionEndExclusive` (string) - `issuances.deliveryLocationIdentifier` (string) - `issuances.externalSerialNumber` (string) - `issuances.inboundInterledgerTransferIdentifier` (string) - `issuances.batchNumber` (string) - `issuances.issuanceContractInstanceIdentifier` (string) - `issuances.ongoingAuditorIdentifier` (string) - `issuances.productIdentifier` (string) - `issuances.productLotIdentifier` (string) - `issuances.ein` (string) - `issuances.upn` (string) - `issuances.positions` (array) - `issuances.positions.identifier` (string) The holding's system-assigned identifier. - `issuances.positions.resourceProgramAssignedIdentifier` (string) The associated resource's program assigned identifier. Example: "GHG1021" - `issuances.positions.holdingStatus` (object) A reference datum data object Example: "GOC" - `issuances.positions.holdingStatus.code` (string, required) The reference data's value. - `issuances.positions.holdingStatus.name` (string) The reference data's name - `issuances.positions.programPeriodBeginInclusive` (string) Start of program period (vintage) associated to the holding record's issuance. Example: "2022-01-01T00:00:00-05:00" - `issuances.positions.programPeriodEndExclusive` (string) End of program period (vintage) associated to the holding record's issuance. Example: "2023-01-01T00:00:00-05:00" - `issuances.positions.timeOfProductionBeginInclusive` (string) Start of production period associated to the holding's issuance Example: "2022-01-01T00:00:00-05:00" - `issuances.positions.timeOfProductionEndExclusive` (string) End of production period associated to the holding's issuance Example: "2023-01-01T00:00:00-05:00" - `issuances.positions.serialNumber` (string) The holding record's serial number. Example: "APXOPCAR-GOC-GHG1021-US-2022--46-5701-6700" - `issuances.positions.quantity` (number) The quantity of the holding record. Example: 1000 - `issuances.positions.programVersions` (array) Associated programs and their versions. - `issuances.positions.programVersions.code` (string) Program code Example: "GHG_MEASUREMENT_PROGRAM" - `issuances.positions.programVersions.version` (string) Version of Program. Example: "5.0.0" - `issuances.positions.programVersions.shortName` (string) Program short name Example: "Carbon Measurement" - `issuances.positions.programVersions.protocolVersions` (array) A list of Protocols associated with Program. - `issuances.positions.programVersions.protocolVersions.code` (string) Protocol code Example: "AMS-I.D." - `issuances.positions.programVersions.protocolVersions.version` (string) Version of Protocol Example: "1.0.0" - `issuances.positions.programVersions.protocolVersions.shortName` (string) Protocol's short name Example: "AMS-I.D." - `issuances.positions.protocolVersions` (array) Associated protocols and their versions. - `issuances.positions.resourceInputTypeCodes` (array) A list of resource input types associated with the holding record's issuance. - `issuances.positions.resourceOutputTypeCodes` (array) A list of resource output types associated with the holding record's issuance. Example: "CARBON_REDUCTION" - `issuances.positions.subaccountIdentifier` (string) The system-assigned identifier for the subaccount. Example: "5FF7ABAA-095D-11EF-B304-AA080FC10FFA" - `issuances.positions.subaccountName` (string) Subaccount name, as inputted by subaccount owner. Example: "My Linked Holdings" - `issuances.positions.subaccountNumber` (string) Subaccount Id displayed on the Optimal Outcomes platform's UI. Example: "10033" - `issuances.positions.programCertificationGroupCode` (string) The issuing program certification group of the holding record. Example: "NONAFOLU_GHG_MEASUREMENT_PROGRAM" - `issuances.positions.upn` (string) Xpansiv Connect Universal Project Number (UPN) for Resource associated to the holding's issuance, if assigned. Example: "0999F5B4" - `issuances.positions.ein` (string) Xpansiv Connect Environmental Instrument Number (EIN), if assigned. Example: "1246AFA3E2" - `issuances.positions.einDescription` (string) Xpansiv Connect Environmental Instrument Number (EIN) details, if assigned Example: "VCU-20120101-20121231-EDEM-3267-ZMB" - `issuances.positions.shadowedLedgerName` (string) If shadowing = true, the external ledger's name. Example: "Verra" - `issuances.positions.managingExternalPlatformName` (string) If the holding is held in an external subaccount, the name of the managing external platform associated with the external subaccount. Example: "Xpansiv Connect" - `issuances.positions.certificateType` (object) A reference datum data object Example: "GOC" ## Response 404 fields